Bug 86204 - Update port: www/interchange update interchange from 4.8.7 to 5.2.0
Summary: Update port: www/interchange update interchange from 4.8.7 to 5.2.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-09-16 09:10 UTC by loader
Modified: 2005-09-21 13:21 UTC (History)
0 users

See Also:


Attachments
interchange.diff.gz (21.84 KB, text/plain)
2005-09-16 09:10 UTC, loader
no flags Details
interchange.new.diff.gz (17.05 KB, application/octet-stream)
2005-09-17 00:55 UTC, loader
no flags Details
file.dat (1.89 KB, text/plain)
2005-09-17 00:55 UTC, loader
no flags Details
interchange.diff.gz (17.25 KB, application/octet-stream)
2005-09-21 03:12 UTC, loader
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description loader 2005-09-16 09:10:16 UTC
      Update port: www/interchange update interchange from 4.8.7 to 5.2.0
Comment 1 Sergey Matveychuk freebsd_committer 2005-09-16 13:57:07 UTC
=== Checking filesystem state
list of extra files and directories in / (not present before this port 
was installed but present after it was deinstalled) 
                  7844768       12 -r--r--r--    1 root 
wheel                4365 Sep 16 13:56 
usr/local/lib/perl5/5.8.7/man/man3/Vend::SQL_Parser.3
7844771        8 -r--r--r--    1 root             wheel 
3773 Sep 16 13:56 usr/local/lib/perl5/5.8.7/man/man3/Vend::UserDB.3
7844774        8 -r--r--r--    1 root             wheel 
3779 Sep 16 13:56 usr/local/lib/perl5/5.8.7/man/man3/Tie::ShadowHash.3
7844780        8 -r--r--r--    1 root             wheel
... [a lot more here] ...
2995368        4 drwxr-xr-x    4 interch          interch 
512 Sep 16 13:57 usr/local/interchange
2995870        4 -rw-r--r--    1 interch          interch 
   1 Sep 16 13:56 usr/local/interchange/error.log
3371490        4 drwxr-xr-x    2 interch          interch 
512 Sep 16 13:57 usr/local/interchange/etc
2995872        8 -rw-r--r--    1 interch          interch 
3792 Sep 16 13:56 usr/local/interchange/locale.error
3372446        4 drwxr-xr-x    2 interch          interch 
512 Sep 16 13:57 usr/local/interchange/src


-- 
Sem.
Comment 2 loader 2005-09-17 00:48:32 UTC
Sergey Matveychuk <sem@FreeBSD.org> writes:

> === Checking filesystem state
> list of extra files and directories in / (not present before this port
> was installed but present after it was deinstalled)

Thank you for your quick reponse. I attach the new patch.

> 7844768       12 -r--r--r--    1 root wheel                4365 Sep 16
> 13:56 usr/local/lib/perl5/5.8.7/man/man3/Vend::SQL_Parser.3
> 7844771        8 -r--r--r--    1 root             wheel 3773 Sep 16
> 13:56 usr/local/lib/perl5/5.8.7/man/man3/Vend::UserDB.3
> 7844774        8 -r--r--r--    1 root             wheel 3779 Sep 16
> 13:56 usr/local/lib/perl5/5.8.7/man/man3/Tie::ShadowHash.3
> 7844780        8 -r--r--r--    1 root             wheel
> ... [a lot more here] ...

These files has been added into pkg-plist.

> 2995872        8 -rw-r--r--    1 interch          interch 3792 Sep 16
> 13:56 usr/local/interchange/locale.error

This is also added into pkg-plist.

> 2995368        4 drwxr-xr-x    4 interch          interch 512 Sep 16
> 13:57 usr/local/interchange
> 2995870        4 -rw-r--r--    1 interch          interch  1 Sep 16
> 13:56 usr/local/interchange/error.log
> 3371490        4 drwxr-xr-x    2 interch          interch 512 Sep 16
> 13:57 usr/local/interchange/etc

The user custom defined shopping cart will be in the interchange/catalogs,
and user defined config files (e.g. interchange.cfg) and error.log is 
the Interchange server log. So I didn't add them into pkg-plist.

> 3372446        4 drwxr-xr-x    2 interch          interch 512 Sep 16
> 13:57 usr/local/interchange/src

Users need to run the command ${PREFIX}/bin/compile_link to compile
the vlink.c/tlink.c in the "src" directory and copy them to the 
www/cgi-bin by themself according to their own shopping cart. there're 
maybe some temporary files in it.

Thank you.

loader
Comment 3 Sergey Matveychuk freebsd_committer 2005-09-20 07:47:22 UTC
loader wrote:
>>2995368        4 drwxr-xr-x    4 interch          interch 512 Sep 16
>>13:57 usr/local/interchange
>>2995870        4 -rw-r--r--    1 interch          interch  1 Sep 16
>>13:56 usr/local/interchange/error.log
>>3371490        4 drwxr-xr-x    2 interch          interch 512 Sep 16
>>13:57 usr/local/interchange/etc
> 
> 
> The user custom defined shopping cart will be in the interchange/catalogs,
> and user defined config files (e.g. interchange.cfg) and error.log is 
> the Interchange server log. So I didn't add them into pkg-plist.

You should remove them if they are empty.
Usual trick for it is:
@unexec rmdir %D/interchange/etc 2> /dev/null || true

> 
> 
>>3372446        4 drwxr-xr-x    2 interch          interch 512 Sep 16
>>13:57 usr/local/interchange/src
> 
> 
> Users need to run the command ${PREFIX}/bin/compile_link to compile
> the vlink.c/tlink.c in the "src" directory and copy them to the 
> www/cgi-bin by themself according to their own shopping cart. there're 
> maybe some temporary files in it.

The same. And user shuld be noticed what he must do to clean up the port 
from his system.

New extra files/dirs report:
=== Checking filesystem state
list of extra files and directories in / (not present before this port 
was insta
lled but present after it was deinstalled)
5064101        8 -r--r--r--    1 root             wheel 
3777 Sep
20 07:43 usr/local/lib/perl5/5.8.7/man/man3/HTML::Entities.3
5064082       16 -r--r--r--    1 root             wheel 
6258 Sep
20 07:42 usr/local/lib/perl5/site_perl/5.8.7/HTML/Entities.pm
4851919        4 drwxr-xr-x    4 interch          interch 
512 Sep
20 07:43 usr/local/interchange
4852733        4 -rw-r--r--    1 interch          interch 
   1 Sep
20 07:43 usr/local/interchange/error.log
4852734        4 drwxr-xr-x    2 interch          interch 
512 Sep
20 07:43 usr/local/interchange/etc
4853692        4 drwxr-xr-x    2 interch          interch 
512 Sep
20 07:43 usr/local/interchange/src
================================================================

-- 
Sem.
Comment 4 loader 2005-09-21 03:12:03 UTC
> You should remove them if they are empty.
> Usual trick for it is:
> @unexec rmdir %D/interchange/etc 2> /dev/null || true

Thank you for your input.
I've added them and attached new patch.

> New extra files/dirs report:
> === Checking filesystem state
> list of extra files and directories in / (not present before this port
> was insta
> lled but present after it was deinstalled)
> 5064101        8 -r--r--r--    1 root             wheel 3777 Sep
> 20 07:43 usr/local/lib/perl5/5.8.7/man/man3/HTML::Entities.3
> 5064082       16 -r--r--r--    1 root             wheel 6258 Sep
> 20 07:42 usr/local/lib/perl5/site_perl/5.8.7/HTML/Entities.pm

These two files belong to the port www/p5-HTML-Parser?

> 4851919        4 drwxr-xr-x    4 interch          interch 512 Sep
> 20 07:43 usr/local/interchange
> 4852733        4 -rw-r--r--    1 interch          interch  1 Sep
> 20 07:43 usr/local/interchange/error.log
> 4852734        4 drwxr-xr-x    2 interch          interch 512 Sep
> 20 07:43 usr/local/interchange/etc
> 4853692        4 drwxr-xr-x    2 interch          interch 512 Sep
> 20 07:43 usr/local/interchange/src

Okay, I've added them into pkg-plist if they're empty, they will be 
removed.

Regards,
loader
Comment 5 Sergey Matveychuk freebsd_committer 2005-09-21 13:21:39 UTC
State Changed
From-To: open->closed

Committed,